org.apache.cassandra.cql3

## Class Maps.DiscarderByKey

- java.lang.Object
- - org.apache.cassandra.cql3.Operation
  - - org.apache.cassandra.cql3.Maps.DiscarderByKey

Enclosing class:
  Maps

    public static class Maps.DiscarderByKey
    extends Operation

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.Operation

`Operation.Addition, Operation.ColumnDeletion, Operation.ElementAddition, Operation.ElementDeletion, Operation.ElementSubtraction, Operation.FieldDeletion, Operation.Prepend, Operation.RawDeletion, Operation.RawUpdate, Operation.SetElement, Operation.SetField, Operation.SetValue, Operation.Substraction`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.Operation

`column, t`

### Constructor Summary

Constructors
Constructor and Description
`DiscarderByKey(ColumnDefinition column, Term k)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(DecoratedKey partitionKey, UpdateParameters params)` Execute the operation.

### Methods inherited from class org.apache.cassandra.cql3.Operation

`addFunctionsTo, collectMarkerSpecification, requiresRead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscarderByKey

    public DiscarderByKey(ColumnDefinition column,
                          Term k)

### Method Detail

#### execute

    public void execute(DecoratedKey partitionKey,
                        UpdateParameters params)
                 throws InvalidRequestException

Description copied from class: `Operation`
Execute the operation.

Specified by:
  `execute` in class `Operation`
Parameters:
  `partitionKey` - partition key for the update.
  `params` - parameters of the update.
Throws:
  `InvalidRequestException`